Package com.independentsoft.office.spreadsheet.styles

# Class TableStyles

java.lang.Object
com.independentsoft.office.spreadsheet.styles.TableStyles

public class TableStyles extends Object
The Class TableStyles.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TableStyles()`
  Instantiates a new table styles.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TableStyles`
  `clone()`
  `String`
  `getDefaultPivotStyle()`
  Gets the default pivot style.
  `String`
  `getDefaultTableStyle()`
  Gets the default table style.
  `List<TableStyle>`
  `getStyles()`
  Gets the styles.
  `void`
  `setDefaultPivotStyle​(String defaultPivotStyle)`
  Sets the default pivot style.
  `void`
  `setDefaultTableStyle​(String defaultTableStyle)`
  Sets the default table style.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TableStyles

    public TableStyles()
    Instantiates a new table styles.

- ## Method Details

  - ### clone

    public TableStyles clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getStyles

    public List<TableStyle> getStyles()
    Gets the styles.
    Returns:
      the styles

  - ### getDefaultPivotStyle

    public String getDefaultPivotStyle()
    Gets the default pivot style.
    Returns:
      the default pivot style

  - ### setDefaultPivotStyle

    public void setDefaultPivotStyle​(String defaultPivotStyle)
    Sets the default pivot style.
    Parameters:
      `defaultPivotStyle` - the new default pivot style

  - ### getDefaultTableStyle

    public String getDefaultTableStyle()
    Gets the default table style.
    Returns:
      the default table style

  - ### setDefaultTableStyle

    public void setDefaultTableStyle​(String defaultTableStyle)
    Sets the default table style.
    Parameters:
      `defaultTableStyle` - the new default table style